// programme de Frederic LETELLIER-COHEN

#ifndef RS232_H
#define RS232_H

#include <qextserialport.h> // gestion des connexions RS232

#include "ui_fenetre_rs232.h"
#include <QWidget>
#include <QtGui>

class RS232 : public QDialog
{
    Q_OBJECT

public:
    RS232(QWidget *parent = 0);

    Ui::RS232 ui; // interface graphique
  
    void sauver(void); // sauvegarder les resultats sur le disque dur
    void charger(void); // charger les resultats se trouvant sur le disque dur

    int connexion(QextSerialPort *port); // permet de se connecter a l'appareil

private slots:
    void on_pushButton_rs232_clicked();  // sauver et fermer
  
};

#endif

